org.richfaces.component.html

## Class HtmlSuggestionBox

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.richfaces.component.UISuggestionBox
        - - org.richfaces.component.html.HtmlSuggestionBox

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

      public class HtmlSuggestionBox
      extends UISuggestionBox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlSuggestionBox()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()`
    `java.lang.String` | `getBgcolor()`
    `java.lang.String` | `getBorder()` Getter for border.
    `java.lang.String` | `getCellpadding()` Getter for cellpadding.
    `java.lang.String` | `getCellspacing()`
    `javax.faces.convert.Converter` | `getConverter()` Getter for converter.
    `java.lang.Object` | `getData()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getEntryClass()` Getter for entryClass.
    `java.lang.String` | `getEventsQueue()`
    `java.lang.String` | `getFamily()`
    `java.lang.Object` | `getFetchValue()`
    `java.lang.String` | `getFocus()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getFrame()`
    `double` | `getFrequency()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getMinChars()`
    `java.lang.String` | `getNothingLabel()`
    `java.lang.String` | `getOnbeforedomupdate()`
    `java.lang.String` | `getOncomplete()`
    `java.lang.String` | `getOnobjectchange()`
    `java.lang.String` | `getOnselect()`
    `java.lang.String` | `getOnsubmit()`
    `java.lang.String` | `getParam()`
    `java.lang.String` | `getPopupClass()` Getter for popupClass.
    `java.lang.String` | `getPopupStyle()` Getter for popupStyle.
    `java.lang.Object` | `getProcess()`
    `int` | `getRequestDelay()`
    `java.lang.Object` | `getReRender()`
    `java.lang.String` | `getRowClasses()` Getter for rowClasses.
    `java.lang.String` | `getRules()`
    `java.lang.String` | `getSelectedClass()`
    `java.lang.String` | `getSelectValueClass()` Getter for selectValueClass.
    `java.lang.String` | `getShadowDepth()`
    `java.lang.String` | `getShadowOpacity()`
    `java.lang.String` | `getSimilarityGroupingId()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getStyle()` Getter for style.
    `java.lang.String` | `getStyleClass()` Getter for styleClass.
    `java.lang.Object` | `getSubmitedValue()` Getter for for attribute.
    `javax.el.MethodExpression` | `getSuggestionAction()` Getter for suggestionAction.
    `java.lang.String` | `getSummary()`
    `int` | `getTimeout()`
    `java.lang.String` | `getTitle()`
    `java.lang.Object` | `getTokens()`
    `java.lang.String` | `getWidth()`
    `int` | `getZindex()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isBypassUpdates()`
    `boolean` | `isIgnoreDupResponses()`
    `boolean` | `isImmediate()` Getter for immediate.
    `boolean` | `isLimitToList()`
    `boolean` | `isSelfRendered()` Getter for selfRendered.
    `boolean` | `isUsingSuggestObjects()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxSingle(boolean _ajaxSingle)`
    `void` | `setAlign(java.lang.String _align)`
    `void` | `setBgcolor(java.lang.String _bgcolor)`
    `void` | `setBorder(java.lang.String _border)` Setter for border.
    `void` | `setBypassUpdates(boolean _bypassUpdates)`
    `void` | `setCellpadding(java.lang.String _cellpadding)` Setter for cellpadding.
    `void` | `setCellspacing(java.lang.String _cellspacing)`
    `void` | `setConverter(javax.faces.convert.Converter _converter)` Setter for converter.
    `void` | `setData(java.lang.Object _data)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setEntryClass(java.lang.String _entryClass)` Setter for entryClass.
    `void` | `setEventsQueue(java.lang.String _eventsQueue)`
    `void` | `setFetchValue(java.lang.Object _fetchValue)`
    `void` | `setFocus(java.lang.String _focus)`
    `void` | `setFor(java.lang.String _for)` Setter for attribute.
    `void` | `setFrame(java.lang.String _frame)`
    `void` | `setFrequency(double _frequency)`
    `void` | `setHeight(java.lang.String _height)`
    `void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
    `void` | `setImmediate(boolean _immediate)` Getter for immediate.
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setLimitToList(boolean _limitToList)`
    `void` | `setMinChars(java.lang.String _minChars)`
    `void` | `setNothingLabel(java.lang.String _nothingLabel)`
    `void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
    `void` | `setOncomplete(java.lang.String _oncomplete)`
    `void` | `setOnobjectchange(java.lang.String _onobjectchange)`
    `void` | `setOnselect(java.lang.String _onselect)`
    `void` | `setOnsubmit(java.lang.String _onsubmit)`
    `void` | `setParam(java.lang.String _param)`
    `void` | `setPopupClass(java.lang.String _popupClass)` Setter for popupClass.
    `void` | `setPopupStyle(java.lang.String _popupStyle)` Setter for popupStyle.
    `void` | `setProcess(java.lang.Object _process)`
    `void` | `setRequestDelay(int _requestDelay)`
    `void` | `setReRender(java.lang.Object _reRender)`
    `void` | `setRowClasses(java.lang.String _rowClasses)` Getter for rowClasses.
    `void` | `setRules(java.lang.String _rules)`
    `void` | `setSelectedClass(java.lang.String _selectedClass)`
    `void` | `setSelectValueClass(java.lang.String _selectValueClass)` Setter for selectValueClass.
    `void` | `setSelfRendered(boolean _selfRendered)` Getter for selfRendered.
    `void` | `setShadowDepth(java.lang.String _shadowDepth)`
    `void` | `setShadowOpacity(java.lang.String _shadowOpacity)`
    `void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
    `void` | `setStatus(java.lang.String _status)`
    `void` | `setStyle(java.lang.String _style)` Setter for style.
    `void` | `setStyleClass(java.lang.String _styleClass)` Setter for styleClass.
    `void` | `setSubmitedValue(java.lang.Object _submitedValue)`
    `void` | `setSuggestionAction(javax.el.MethodExpression _suggestionAction)` Setter for suggestionAction.
    `void` | `setSummary(java.lang.String _summary)`
    `void` | `setTimeout(int _timeout)`
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setTokens(java.lang.Object _tokens)`
    `void` | `setUsingSuggestObjects(boolean _usingSuggestObjects)`
    `void` | `setWidth(java.lang.String _width)`
    `void` | `setZindex(int _zindex)`

    - ### Methods inherited from class org.richfaces.component.UISuggestionBox

      `addAjaxListener, broadcast, getAjaxListeners, getLocalValue, getRowNumber, isSubmitted, processDecodes, queueEvent, removeAjaxListener, setRowNumber, setSubmitedValue, setSubmitted, setupValue`

    - ### Methods inherited from class javax.faces.component.UIData

      `encodeBegin, getClientId, getDataModel, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getRows, getValue, getVar, invokeOnComponent, isRowAvailable, processUpdates, processValidators, setDataModel, setFirst, setFooter, setHeader, setRowIndex, setRows, setValue, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getValue, setValue`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlSuggestionBox

          public HtmlSuggestionBox()

  - ### Method Detail

    - #### isAjaxSingle

          public boolean isAjaxSingle()

    - #### setAjaxSingle

          public void setAjaxSingle(boolean _ajaxSingle)

    - #### getAlign

          public java.lang.String getAlign()

    - #### setAlign

          public void setAlign(java.lang.String _align)

    - #### getBgcolor

          public java.lang.String getBgcolor()

    - #### setBgcolor

          public void setBgcolor(java.lang.String _bgcolor)

    - #### getBorder

          public java.lang.String getBorder()

      Description copied from class: `UISuggestionBox`
      Getter for border. This attributes specifies the width (in pixels only) of the frame around a table
      Specified by:
        `getBorder` in class `UISuggestionBox`
      Returns:
        border value from local variable or value bindings

    - #### setBorder

          public void setBorder(java.lang.String _border)

      Description copied from class: `UISuggestionBox`
      Setter for border.
      Specified by:
        `setBorder` in class `UISuggestionBox`
      Parameters:
        `_border` - of border

    - #### isBypassUpdates

          public boolean isBypassUpdates()

    - #### setBypassUpdates

          public void setBypassUpdates(boolean _bypassUpdates)

    - #### getCellpadding

          public java.lang.String getCellpadding()

      Description copied from class: `UISuggestionBox`
      Getter for cellpadding. This attribute specifies the amount of space between the border of the cell and its contents. If the value of this attribute is a pixel length, all four margins should be this distance from the contents. If the value of the attribute is percentage length, the top and bottom margins should be equally separated from the content based on percentage of the available vertical space, and the left and right margins should be equally separated from the content based on percentage of the available horizontal space
      Specified by:
        `getCellpadding` in class `UISuggestionBox`

    - #### setCellpadding

          public void setCellpadding(java.lang.String _cellpadding)

      Description copied from class: `UISuggestionBox`
      Setter for cellpadding.
      Specified by:
        `setCellpadding` in class `UISuggestionBox`
      Parameters:
        `_cellpadding` - of cellpadding

    - #### getCellspacing

          public java.lang.String getCellspacing()

    - #### setCellspacing

          public void setCellspacing(java.lang.String _cellspacing)

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

      Description copied from class: `UISuggestionBox`
      Getter for converter. Id of Converter to be used or reference to a Converter.
      Specified by:
        `getConverter` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `getConverter` in class `UISuggestionBox`
      Returns:
        converter value from local variable or value bindings

    - #### setConverter

          public void setConverter(javax.faces.convert.Converter _converter)

      Description copied from class: `UISuggestionBox`
      Setter for converter.
      Specified by:
        `setConverter` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `setConverter` in class `UISuggestionBox`
      Parameters:
        `_converter` - `Converter`

    - #### getData

          public java.lang.Object getData()

    - #### setData

          public void setData(java.lang.Object _data)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getEntryClass

          public java.lang.String getEntryClass()

      Description copied from class: `UISuggestionBox`
      Getter for entryClass. Name of the CSS class for a suggestion entry element (table row)
      Specified by:
        `getEntryClass` in class `UISuggestionBox`
      Returns:
        entryClass value from local variable or value bindings

    - #### setEntryClass

          public void setEntryClass(java.lang.String _entryClass)

      Description copied from class: `UISuggestionBox`
      Setter for entryClass.
      Specified by:
        `setEntryClass` in class `UISuggestionBox`
      Parameters:
        `_entryClass` - of entry class

    - #### getEventsQueue

          public java.lang.String getEventsQueue()

    - #### setEventsQueue

          public void setEventsQueue(java.lang.String _eventsQueue)

    - #### getFetchValue

          public java.lang.Object getFetchValue()

      Specified by:
        `getFetchValue` in class `UISuggestionBox`

    - #### setFetchValue

          public void setFetchValue(java.lang.Object _fetchValue)

      Specified by:
        `setFetchValue` in class `UISuggestionBox`

    - #### getFocus

          public java.lang.String getFocus()

    - #### setFocus

          public void setFocus(java.lang.String _focus)

    - #### getFor

          public java.lang.String getFor()

      Specified by:
        `getFor` in class `UISuggestionBox`

    - #### setFor

          public void setFor(java.lang.String _for)

      Description copied from class: `UISuggestionBox`
      Setter for attribute.
      Specified by:
        `setFor` in class `UISuggestionBox`
      Parameters:
        `_for` - identifier

    - #### getFrame

          public java.lang.String getFrame()

    - #### setFrame

          public void setFrame(java.lang.String _frame)

    - #### getFrequency

          public double getFrequency()

    - #### setFrequency

          public void setFrequency(double _frequency)

    - #### getHeight

          public java.lang.String getHeight()

    - #### setHeight

          public void setHeight(java.lang.String _height)

    - #### isIgnoreDupResponses

          public boolean isIgnoreDupResponses()

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(boolean _ignoreDupResponses)

    - #### isImmediate

          public boolean isImmediate()

      Description copied from class: `UISuggestionBox`
      Getter for immediate.
      Specified by:
        `isImmediate` in class `UISuggestionBox`
      Returns:
        immediate value from local variable or value bindings

    - #### setImmediate

          public void setImmediate(boolean _immediate)

      Description copied from class: `UISuggestionBox`
      Getter for immediate.
      Specified by:
        `setImmediate` in class `UISuggestionBox`
      Parameters:
        `_immediate` - of immediate

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### isLimitToList

          public boolean isLimitToList()

    - #### setLimitToList

          public void setLimitToList(boolean _limitToList)

    - #### getMinChars

          public java.lang.String getMinChars()

    - #### setMinChars

          public void setMinChars(java.lang.String _minChars)

    - #### getNothingLabel

          public java.lang.String getNothingLabel()

      Specified by:
        `getNothingLabel` in class `UISuggestionBox`

    - #### setNothingLabel

          public void setNothingLabel(java.lang.String _nothingLabel)

      Specified by:
        `setNothingLabel` in class `UISuggestionBox`

    - #### getOnbeforedomupdate

          public java.lang.String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

    - #### getOncomplete

          public java.lang.String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(java.lang.String _oncomplete)

    - #### getOnobjectchange

          public java.lang.String getOnobjectchange()

    - #### setOnobjectchange

          public void setOnobjectchange(java.lang.String _onobjectchange)

    - #### getOnselect

          public java.lang.String getOnselect()

    - #### setOnselect

          public void setOnselect(java.lang.String _onselect)

    - #### getOnsubmit

          public java.lang.String getOnsubmit()

    - #### setOnsubmit

          public void setOnsubmit(java.lang.String _onsubmit)

    - #### getParam

          public java.lang.String getParam()

    - #### setParam

          public void setParam(java.lang.String _param)

    - #### getPopupClass

          public java.lang.String getPopupClass()

      Description copied from class: `UISuggestionBox`
      Getter for popupClass. HTML CSS class attribute of element for pop-up suggestion content
      Specified by:
        `getPopupClass` in class `UISuggestionBox`
      Returns:
        popupClass value from local variable or value bindings

    - #### setPopupClass

          public void setPopupClass(java.lang.String _popupClass)

      Description copied from class: `UISuggestionBox`
      Setter for popupClass.
      Specified by:
        `setPopupClass` in class `UISuggestionBox`
      Parameters:
        `_popupClass` - class

    - #### getPopupStyle

          public java.lang.String getPopupStyle()

      Description copied from class: `UISuggestionBox`
      Getter for popupStyle. HTML CSS style attribute of element for pop-up suggestion content
      Specified by:
        `getPopupStyle` in class `UISuggestionBox`
      Returns:
        popupStyle value from local variable or value bindings

    - #### setPopupStyle

          public void setPopupStyle(java.lang.String _popupStyle)

      Description copied from class: `UISuggestionBox`
      Setter for popupStyle.
      Specified by:
        `setPopupStyle` in class `UISuggestionBox`
      Parameters:
        `_popupStyle` - style

    - #### getProcess

          public java.lang.Object getProcess()

    - #### setProcess

          public void setProcess(java.lang.Object _process)

    - #### getReRender

          public java.lang.Object getReRender()

    - #### setReRender

          public void setReRender(java.lang.Object _reRender)

    - #### getRequestDelay

          public int getRequestDelay()

    - #### setRequestDelay

          public void setRequestDelay(int _requestDelay)

    - #### getRowClasses

          public java.lang.String getRowClasses()

      Description copied from class: `UISuggestionBox`
      Getter for rowClasses.
      Specified by:
        `getRowClasses` in class `UISuggestionBox`
      Returns:
        rowClasses value from local variable or value bindings

    - #### setRowClasses

          public void setRowClasses(java.lang.String _rowClasses)

      Description copied from class: `UISuggestionBox`
      Getter for rowClasses.
      Specified by:
        `setRowClasses` in class `UISuggestionBox`
      Parameters:
        `_rowClasses` - row classes

    - #### getRules

          public java.lang.String getRules()

    - #### setRules

          public void setRules(java.lang.String _rules)

    - #### getSelectValueClass

          public java.lang.String getSelectValueClass()

      Description copied from class: `UISuggestionBox`
      Getter for selectValueClass. Name of the CSS class for a hidden suggestion entry element (table cell)
      Specified by:
        `getSelectValueClass` in class `UISuggestionBox`
      Returns:
        selectValueClass value from local variable or value bindings

    - #### setSelectValueClass

          public void setSelectValueClass(java.lang.String _selectValueClass)

      Description copied from class: `UISuggestionBox`
      Setter for selectValueClass.
      Specified by:
        `setSelectValueClass` in class `UISuggestionBox`
      Parameters:
        `_selectValueClass` - class

    - #### getSelectedClass

          public java.lang.String getSelectedClass()

    - #### setSelectedClass

          public void setSelectedClass(java.lang.String _selectedClass)

    - #### isSelfRendered

          public boolean isSelfRendered()

      Description copied from class: `UISuggestionBox`
      Getter for selfRendered. If true, forces active Ajax region render response directly from stored components tree, bypasses page processing. Can be used for increase performance. Also, must be set to 'true' inside iteration components, such as dataTable
      Specified by:
        `isSelfRendered` in class `UISuggestionBox`
      Returns:
        selfRendered value from local variable or value bindings

    - #### setSelfRendered

          public void setSelfRendered(boolean _selfRendered)

      Description copied from class: `UISuggestionBox`
      Getter for selfRendered.
      Specified by:
        `setSelfRendered` in class `UISuggestionBox`
      Parameters:
        `_selfRendered` - for attribute

    - #### getShadowDepth

          public java.lang.String getShadowDepth()

    - #### setShadowDepth

          public void setShadowDepth(java.lang.String _shadowDepth)

    - #### getShadowOpacity

          public java.lang.String getShadowOpacity()

    - #### setShadowOpacity

          public void setShadowOpacity(java.lang.String _shadowOpacity)

    - #### getSimilarityGroupingId

          public java.lang.String getSimilarityGroupingId()

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String _status)

    - #### getStyle

          public java.lang.String getStyle()

      Description copied from class: `UISuggestionBox`
      Getter for style. CSS style(s) is/are to be applied when this component is rendered
      Specified by:
        `getStyle` in class `UISuggestionBox`
      Returns:
        style value from local variable or value bindings

    - #### setStyle

          public void setStyle(java.lang.String _style)

      Description copied from class: `UISuggestionBox`
      Setter for style.
      Specified by:
        `setStyle` in class `UISuggestionBox`
      Parameters:
        `_style` - style

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Description copied from class: `UISuggestionBox`
      Getter for styleClass. Corresponds to the HTML class attribute
      Specified by:
        `getStyleClass` in class `UISuggestionBox`
      Returns:
        styleClass value from local variable or value bindings

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

      Description copied from class: `UISuggestionBox`
      Setter for styleClass.
      Specified by:
        `setStyleClass` in class `UISuggestionBox`
      Parameters:
        `_styleClass` - class

    - #### getSubmitedValue

          public java.lang.Object getSubmitedValue()

      Description copied from class: `UISuggestionBox`
      Getter for for attribute. id (or full path of id's) of target components, for which this element must provide support. If a target component inside of the same `NamingContainer`(UIForm, UIData in base implementstions), can be simple value of the "id" attribute. For other cases must include id's of `NamingContainer`components, separated by ':'. For search from the root of components, must be started with ':'.````
      Specified by:
        `getSubmitedValue` in class `UISuggestionBox`
      Returns:
        for value from local variable or value bindings

    - #### setSubmitedValue

          public void setSubmitedValue(java.lang.Object _submitedValue)

      Specified by:
        `setSubmitedValue` in class `UISuggestionBox`

    - #### getSuggestionAction

          public javax.el.MethodExpression getSuggestionAction()

      Description copied from class: `UISuggestionBox`
      Getter for suggestionAction. Method calls an expression to get a collection of suggestion data on request. It must have one parameter with a type of Object with content of input component and must return any type allowed for ;
      Specified by:
        `getSuggestionAction` in class `UISuggestionBox`
      Returns:
        suggestionAction value from local variable or value bindings

    - #### setSuggestionAction

          public void setSuggestionAction(javax.el.MethodExpression _suggestionAction)

      Description copied from class: `UISuggestionBox`
      Setter for suggestionAction.
      Specified by:
        `setSuggestionAction` in class `UISuggestionBox`
      Parameters:
        `_suggestionAction` - `MethodExpression`

    - #### getSummary

          public java.lang.String getSummary()

    - #### setSummary

          public void setSummary(java.lang.String _summary)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int _timeout)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getTokens

          public java.lang.Object getTokens()

    - #### setTokens

          public void setTokens(java.lang.Object _tokens)

    - #### isUsingSuggestObjects

          public boolean isUsingSuggestObjects()

      Specified by:
        `isUsingSuggestObjects` in class `UISuggestionBox`

    - #### setUsingSuggestObjects

          public void setUsingSuggestObjects(boolean _usingSuggestObjects)

      Specified by:
        `setUsingSuggestObjects` in class `UISuggestionBox`

    - #### getWidth

          public java.lang.String getWidth()

    - #### setWidth

          public void setWidth(java.lang.String _width)

    - #### getZindex

          public int getZindex()

      Specified by:
        `getZindex` in class `UISuggestionBox`

    - #### setZindex

          public void setZindex(int _zindex)

      Specified by:
        `setZindex` in class `UISuggestionBox`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIData`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIData`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIData`

Copyright © 2014. All Rights Reserved.